# Uses of Interface
org.eclipse.emf.cdo.expressions.LongValue

Packages that use LongValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of LongValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return LongValue
Modifier and Type
Method
Description
`LongValue`
ExpressionsFactory.`createLongValue()`
Returns a new object of class 'Long Value'.

## Uses of LongValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement LongValue
Modifier and Type
Class
Description
`class`
`LongValueImpl`
An implementation of the model object 'Long Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return LongValue
Modifier and Type
Method
Description
`LongValue`
ExpressionsFactoryImpl.`createLongValue()`

## Uses of LongValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return LongValue
Modifier and Type
Method
Description
`static LongValue`
ExpressionsUtil.`value(long literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type LongValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseLongValue(LongValue object)`
Returns the result of interpreting the object as an instance of 'Long Value'.